-----------LOBÃOGAMER----------


local screenW,screenH = guiGetScreenSize()
local resW, resH = 1366,768
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }

function lobaoHud ( ... )
    if (not isPlayerMapVisible()) then

        local Dinheiro = getPlayerMoney(localPlayer)
        local Banco = getElementData(localPlayer, "Bank:Caixa") or "0"
        local weapon = getPedWeapon(getLocalPlayer())
	    local weaponClip = getPedAmmoInClip(getLocalPlayer(), getPedWeaponSlot(getLocalPlayer()))
	    local weaponAmmo = getPedTotalAmmo(getLocalPlayer()) - getPedAmmoInClip(getLocalPlayer())
        local vida = math.floor(getElementHealth(getLocalPlayer()))
        local colete = math.floor(getPedArmor(getLocalPlayer()))
        local fome = getElementData(getLocalPlayer(), "fome") or 0
        local sede = getElementData(getLocalPlayer(), "sede") or 0
       
               dxDrawRectangle(screenW * 0.5051, screenH * 0.0078, screenW * 0.0908, screenH * 0.0365, tocolor(0, 0, 0, 135), false)
        dxDrawRectangle(screenW * 0.6032, screenH * 0.0078, screenW * 0.0908, screenH * 0.0365, tocolor(0, 0, 0, 135), false)
        dxDrawRectangle(screenW * 0.4070, screenH * 0.0078, screenW * 0.0908, screenH * 0.0365, tocolor(0, 0, 0, 135), false)
        dxDrawRectangle(screenW * 0.3053, screenH * 0.0078, screenW * 0.0908, screenH * 0.0365, tocolor(0, 0, 0, 135), false)
        dxDrawImage(screenW * 0.4034, screenH * 0.0078, screenW * 0.0315, screenH * 0.0313, "files/Icons/Sede.png", 0, 0, 0, tocolor(17, 197, 208, 254), false)
        dxDrawImage(screenW * 0.3104, screenH * 0.0078, screenW * 0.0212, screenH * 0.0365, "files/Icons/Fome.png", 0, 0, 0, tocolor(214, 202, 12, 254), false)
        dxDrawImage(screenW * 0.5095, screenH * 0.0117, screenW * 0.0198, screenH * 0.0273, "files/Icons/Vida.png", 0, 0, 0, tocolor(205, 48, 5, 254), false)
        dxDrawImage(screenW * 0.6032, screenH * 0.0117, screenW * 0.0286, screenH * 0.0313, "files/Icons/Colete.png", 0, 0, 0, tocolor(62, 219, 8, 218), false)
        dxDrawText("Fome : "..fome.."%", screenW * 0.3360, screenH * 0.0130, screenW * 0.3858, screenH * 0.0404, tocolor(206, 208, 6, 254), 1.00, "default-bold", "center", "center", false, false, false, false, false)
        dxDrawText("Sede : "..sede.."%", screenW * 0.4378, screenH * 0.0130, screenW * 0.4876, screenH * 0.0404, tocolor(31, 182, 177, 254), 1.00, "default-bold", "center", "center", false, false, false, false, false)
        dxDrawText("Vida : "..vida.."%", screenW * 0.5337, screenH * 0.0117, screenW * 0.5835, screenH * 0.0391, tocolor(249, 81, 35, 254), 1.00, "default-bold", "center", "center", false, false, false, false, false)
        dxDrawText("Colete : "..colete.."%", screenW * 0.6369, screenH * 0.0117, screenW * 0.6867, screenH * 0.0391, tocolor(20, 200, 11, 254), 1.00, "default-bold", "center", "center", false, false, false, false, false) 

    end
end



function setHud()
    addEventHandler("onClientRender", getRootElement(), lobaoHud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)